﻿package implement

import (
	"applet/app/db/super/dao"
	"applet/app/db/super/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

func NewMediumListDb(engine *xorm.Engine) dao.MediumListDao {
	return &MediumListDb{Db: engine}
}

type MediumListDb struct {
	Db *xorm.Engine
}

func (m MediumListDb) GetMediumList(mediumId int) (medium *model.MediumList, err error) {
	medium = new(model.MediumList)
	has, err := m.Db.Where("medium_id =?", mediumId).Get(medium)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return medium, nil
}

func (m MediumListDb) MediumListInsert(medium *model.MediumList) (int64, error) {
	insertAffected, err := m.Db.InsertOne(medium)
	if err != nil {
		return 0, err
	}
	return insertAffected, nil
}

func (m MediumListDb) UpdateMediumList(medium *model.MediumList, columns ...string) (int64, error) {
	affected, err := m.Db.Where("medium_id =?", medium.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
